Subject: [bug#33438] [PATCH] gnu: Add python-wikidata.

From: swedebugia <[email-masked]>
Date: Tue, 20 Nov 2018 00:09:43 +0100

First step towards integration between Guix<->Wikidata :D
-- 
Cheers
Swedebugia
>From 76c5e10a1a8f3657408a48170547becd9674898d Mon Sep 17 00:00:00 2001
From: swedebugia <[email-masked]>
Date: Tue, 20 Nov 2018 00:07:19 +0100
Subject: [PATCH] gnu: Add python-wikidata.

* gnu/packages/python.scm: New variable.
---
 gnu/packages/python.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index 2b7482a3e..70cd9ee08 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -14630,3 +14630,24 @@ on regular expressions.")
      "This module implements the PRECIS Framework as described in RFC 8264,
 RFC 8265 and RFC 8266.")
     (license license:expat)))
+
+(define-public python-wikidata
+  (package
+    (name "python-wikidata")
+    (version "0.6.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri "https://files.pythonhosted.org/packages/8a/60/461dd0d04110bd55cea21bf5b3e58c3662955f5470e7ea0ea4a5542d1733/Wikidata-0.6.1.tar.gz")
+       (sha256
+        (base32
+         "08nlnydddfp1jj0cdmshvld1irzngbp3dij928wqsg9ziklm6mw9"))))
+    (build-system python-build-system)
+    (propagated-inputs
+     `(("python-babel" ,python-babel)))
+    (home-page "https://github.com/dahlia/wikidata")
+    (synopsis "Wikidata client library")
+    (description "Wikidata SPAQL client library which provides easy APIs to
+use Wikidata.org for Python.")
+    (license license:gplv3))) ; unclear if "or later", bug filed
+
-- 
2.18.0